# $Revision: 1.4.2.2 $, $Date: 2003/04/28 12:51:54 $
#
# Conditional build:
# _without_tests - do not perform "make test"
%include	/usr/lib/rpm/macros.perl
%define	pdir	XML
%define	pnam	DOMHandler
Summary:	DOMHandler - Implements a call-back interface to DOM
Summary(pl):	DOMHandler - implementacja interfejsu callbackw do DOM
Name:		perl-XML-DOMHandler
Version:	1.0
Release:	3
License:	?
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
%if %{?_without_tests:0}%{!?_without_tests:1}
BuildRequires:	perl-XML-LibXML
%endif
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module creates a layer on top of DOM that allows you to program
in a "push" style rather than "pull". Once the document has been
parsed and you have a DOM object, you can call on the DOMHandler's
traverse() method to apply a set of call-back routines to all the
nodes in a tree. You supply the routines in a handler package when
initializing the DOMHandler.

%description -l pl
Ten modu tworzy warstw powyej DOM, pozwalajc na programowaniu w
stylu "pchnij" zamiast "cignij". Po przeanalizowaniu dokumentu i
uzyskaniu obiektu DOM, mona wywoa metod DOMHandlera traverse(),
aby zastosowa zestaw callbackw na wszystkich wzach w drzewie.
Funkcje przekazuje si przy inicjalizacji DOMHandlera.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}
%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_sitelib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-XML-DOMHandler.spec,v $
Revision 1.4.2.2  2003/04/28 12:51:54  ankry
- really rel++

Revision 1.4.2.1  2003/03/13 00:59:24  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.4  2003/02/25 00:42:36  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:39:11  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/08/31 12:21:47  qboosh
- pl description, release 2

Revision 1.1  2002/08/25 15:20:33  radek
- new, STBR
